.preview {
  height: 100%;
  display: flex;
  min-height: 700px;
  padding-top: 100px;
  align-items: center;
  justify-content: center;
  flex-direction: column;

  @media (--large-only) {
    min-height: 580px;
  }

  @media (--medium) {
    min-height: 440px;
  }
}

.preview__title {
  position: relative;
  text-align: center;
  text-transform: uppercase;
  font-size: 70px;
  font-weight: normal;
  margin-bottom: 36px;

  & svg {
    z-index: 0;
    position: absolute;
    width: 221px;
    height: 221px;
    fill: #900;
    top: -108px;
    left: 50%;
    margin-left: -382px;
    transform: translateX(-50px);
    opacity: 0;

    @nest .animated & {
      transition: opacity 1s ease 0s, transform 1s ease 0s;
      will-change: opacity, transform;
      transform: translateX(0);
      opacity: 1;
    }
  }

  & > span {
    z-index: 1;
    position: relative;
    transform: translateX(50px);
    display: block;
    opacity: 0;

    @nest .animated & {
      transition: opacity 1s ease 0s, transform 1s ease 0s;
      will-change: opacity, transform;
      transform: translateX(0);
      opacity: 1;
    }
  }

  @media (--large-only) {
    font-size: 50px;

    & svg {
      width: 180px;
      height: 180px;
      margin-left: -290px;
    }
  }

  @media (--medium) {
    font-size: 20px;

    & svg {
      width: 62px;
      height: 65px;
      margin-left: -100px;
      top: -30px;
    }
  }
}

.preview__button-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.preview__button {
  width: 330px;
  height: 70px;
  display: block;
  font-size: 20px;
  text-decoration: none;
  text-align: center;
  color: #faead3;
  padding: 0;
  border: 0;
  outline: none;
  background-color: #990000;
  cursor: pointer;
  line-height: 74px;
  transition: background-color 0.3s ease 0s;
  will-change: background-color;
  opacity: 0;
  transform: translateY(40px);

  &:hover {
    background-color: #7a0000;
  }

  @nest .animated & {
    opacity: 1;
    transform: translateY(0);
    transition: transform 1s ease 0.75s, opacity 1s ease 0.75s, background-color 0.3s ease 0s;
  }


  & svg {
    position: relative;
    top: 3px;
    width: 28px;
    height: 20px;
  }

  @media (--medium) {
    width: 200px;
    height: 55px;
    line-height: 59px;
    font-size: 15px;

    & svg {
      top: 4px;
    }
  }
}

.preview__right-hr,
.preview__left-hr {
  height: 4px;
  width: 0;
  position: relative;
  border-top: 1px solid #faead3;
  border-bottom: 1px solid #faead3;
  opacity: 0;

  @nest .animated & {
    width: 370px;
    transition: width 1s ease 1.75s, opacity 1s ease 1.75s;
    will-change: width;
    opacity: 1;
  }

  @media (--large-only) {
    @nest .animated & {
      width: 180px;
    }
  }

  @media (--medium) {
    @nest .animated & {
      width: 6px;
    }
  }

  &::before,
  &::after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    width: 0;
    height: 0;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
  }

  &::before {
    left: -48px;
    border-right: 40px solid #faead3;
  }

  &::after {
    right: -48px;
    border-left: 40px solid #faead3;
  }

  & div:first-child {
    width: 4px;
    height: 4px;
    position: absolute;
    top: -1px;
    transform: translateX(-50%);
    border-left: 1px solid #faead3;
    border-right: 1px solid #faead3;
  }
}

.preview__right-hr {
  margin-left: 5px;

  & div {right: -8px;}
  &::before {display: none;}
}

.preview__left-hr {
  margin-right: 5px;

  & div {left: -4px;}
  &::after {display: none;}
}
